Overview
GET
/project/projects/{id}/participantsprojectList a project's participants (by addedAt)
Fetch a record from participants by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Participants
- idstring
- ecosystemIdstring
- projectIdstring
- participantKind"customer" | "persona" | "team"
- participantIdstring
the attached actor id (opaque)
- rolestring
the participant's project role (DB default 'member')
- addedByoptionalstring?
- addedAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"projectId": "string",
"participantKind": "customer",
"participantId": "string",
"role": "string",
"addedBy": "string",
"addedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/projects/{id}/participants" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/participants", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();